sailpoint.machine_account_creation_request.MachineAccountCreationRequestApi
Use this API to submit and retrieve machine account creation requests.
All URIs are relative to https://sailpoint.api.identitynow.com
| Method | HTTP request | Description |
|---|---|---|
| create-machine-account-request-v1 | POST /account-requests/v1/machine-account-create | Submit Machine Account Creation Request |
| get-create-machine-account-request-v1 | GET /account-requests/v1/machine-account-create/{accountRequestId} | Get Machine Account Creation Request |
| get-machine-account-create-access-info-v1 | GET /source-subtypes/v1/machine-account-create-access | Machine Account Create Access |
create-machine-account-request-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
on the configuration object you can set the x-sailpoint-experimental header to `true' to enable all experimantl endpoints within the SDK.
Example:
configuration = Configuration()
configuration.experimental = True
Submit Machine Account Creation Request Initiates machine account creation request for the specified subtype. This method validates the input data, processes the machine account creation request, and generates an asynchronous result containing a tracking ID.
NOTE: You can only request a machine accounts on subtype for which you have a create machine account entitlement provisioned.
Parameters
| Param Type | Name | Data Type | Required | Description |
|---|---|---|---|---|
| Body | machineaccountcreaterequestinput | Machineaccountcreaterequestinput | True | |
| x_sail_point_experimental | str | (optional) (default to 'true') | Use this header to enable this experimental API. |
Return type
Responses
| Code | Description | Data Type | Response headers |
|---|---|---|---|
| 202 | Machine account creation request result. | Accountrequestasyncresult | - |
| 400 | Client Error - Returned if the request body is invalid. | Errorresponsedto | - |
| 401 | Unauthorized - Returned if there is no authorization header, or if the JWT token is expired. | CreateMachineAccountRequestV1401Response | - |
| 403 | Forbidden - Returned if the user you are running as, doesn't have access to this end-point. | Errorresponsedto | - |
| 404 | Not Found - returned if the request URL refers to a resource or object that does not exist | Errorresponsedto | - |
| 429 | Too Many Requests - Returned in response to too many requests in a given period of time - rate limited. The Retry-After header in the response includes how long to wait before trying again. | CreateMachineAccountRequestV1429Response | - |
| 500 | Internal Server Error - Returned if there is an unexpected error. | Errorresponsedto | - |
HTTP request headers
- Content-Type: application/json
- Accept: application/json
Example
from sailpoint.machine_account_creation_request.api.machine_account_creation_request_api import MachineAccountCreationRequestApi
from sailpoint.machine_account_creation_request.api_client import ApiClient
from sailpoint.machine_account_creation_request.models.accountrequestasyncresult import Accountrequestasyncresult
from sailpoint.machine_account_creation_request.models.machineaccountcreaterequestinput import Machineaccountcreaterequestinput
from sailpoint.configuration import Configuration
configuration = Configuration()
configuration.experimental = True
with ApiClient(configuration) as api_client:
machineaccountcreaterequestinput = '''sailpoint.machine_account_creation_request.Machineaccountcreaterequestinput()''' # Machineaccountcreaterequestinput |
x_sail_point_experimental = 'true' # str | Use this header to enable this experimental API. (optional) (default to 'true') # str | Use this header to enable this experimental API. (optional) (default to 'true')
try:
# Submit Machine Account Creation Request
new_machineaccountcreaterequestinput = Machineaccountcreaterequestinput.from_json(machineaccountcreaterequestinput)
results = MachineAccountCreationRequestApi(api_client).create_machine_account_request_v1(machineaccountcreaterequestinput=new_machineaccountcreaterequestinput)
# Below is a request that includes all optional parameters
# results = MachineAccountCreationRequestApi(api_client).create_machine_account_request_v1(new_machineaccountcreaterequestinput, x_sail_point_experimental)
print("The response of MachineAccountCreationRequestApi->create_machine_account_request_v1:\n")
print(results.model_dump_json(by_alias=True, indent=4))
except Exception as e:
print("Exception when calling MachineAccountCreationRequestApi->create_machine_account_request_v1: %s\n" % e)
get-create-machine-account-request-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
on the configuration object you can set the x-sailpoint-experimental header to `true' to enable all experimantl endpoints within the SDK.
Example:
configuration = Configuration()
configuration.experimental = True
Get Machine Account Creation Request Retrieves a account request details for machine account creation. This allows the user to view all details for given account request.
Parameters
| Param Type | Name | Data Type | Required | Description |
|---|---|---|---|---|
| x_sail_point_experimental | str | True (default to 'true') | Use this header to enable this experimental API. | |
| Path | account_request_id | str | True | Account Request ID |
Return type
Responses
| Code | Description | Data Type | Response headers |
|---|---|---|---|
| 200 | Account Request Details object | Accountrequestdetailsdto | - |
| 400 | Client Error - Returned if the request body is invalid. | Errorresponsedto | - |
| 401 | Unauthorized - Returned if there is no authorization header, or if the JWT token is expired. | CreateMachineAccountRequestV1401Response | - |
| 403 | Forbidden - Returned if the user you are running as, doesn't have access to this end-point. | Errorresponsedto | - |
| 404 | Not Found - returned if the request URL refers to a resource or object that does not exist | Errorresponsedto | - |
| 429 | Too Many Requests - Returned in response to too many requests in a given period of time - rate limited. The Retry-After header in the response includes how long to wait before trying again. | CreateMachineAccountRequestV1429Response | - |
| 500 | Internal Server Error - Returned if there is an unexpected error. | Errorresponsedto | - |
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
from sailpoint.machine_account_creation_request.api.machine_account_creation_request_api import MachineAccountCreationRequestApi
from sailpoint.machine_account_creation_request.api_client import ApiClient
from sailpoint.machine_account_creation_request.models.accountrequestdetailsdto import Accountrequestdetailsdto
from sailpoint.configuration import Configuration
configuration = Configuration()
configuration.experimental = True
with ApiClient(configuration) as api_client:
x_sail_point_experimental = 'true' # str | Use this header to enable this experimental API. (default to 'true') # str | Use this header to enable this experimental API. (default to 'true')
account_request_id = 'gt38f94347e94562b5bb8424a56498d8' # str | Account Request ID # str | Account Request ID
try:
# Get Machine Account Creation Request
results = MachineAccountCreationRequestApi(api_client).get_create_machine_account_request_v1(x_sail_point_experimental=x_sail_point_experimental, account_request_id=account_request_id)
# Below is a request that includes all optional parameters
# results = MachineAccountCreationRequestApi(api_client).get_create_machine_account_request_v1(x_sail_point_experimental, account_request_id)
print("The response of MachineAccountCreationRequestApi->get_create_machine_account_request_v1:\n")
print(results.model_dump_json(by_alias=True, indent=4))
except Exception as e:
print("Exception when calling MachineAccountCreationRequestApi->get_create_machine_account_request_v1: %s\n" % e)
get-machine-account-create-access-info-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
on the configuration object you can set the x-sailpoint-experimental header to `true' to enable all experimantl endpoints within the SDK.
Example:
configuration = Configuration()
configuration.experimental = True
Machine Account Create Access This endpoint retrieves the list of sources and subtypes for which logged in user has the entitlement to create a machine account. The response includes a list of object detailing the source, subtype and entitlement details which enables the clients to understand if they can submit the request to create a machine account for the given subtype.
Parameters
| Param Type | Name | Data Type | Required | Description |
|---|---|---|---|---|
| x_sail_point_experimental | str | True (default to 'true') | Use this header to enable this experimental API. | |
| Query | offset | int | (optional) (default to 0) | Offset Integer specifying the offset of the first result from the beginning of the collection. The standard syntax described in V3 API Standard Collection Parameters. The offset value is record-based, not page-based, and the index starts at 0. |
| Query | limit | int | (optional) (default to 250) | Limit Integer specifying the maximum number of records to return in a single API call. The standard syntax described in V3 API Standard Collection Parameters. If it is not specified, a default limit is used. |
Return type
List[Machineaccountcreateaccessdto]
Responses
| Code | Description | Data Type | Response headers |
|---|---|---|---|
| 200 | List of source and the subtypes. | List[Machineaccountcreateaccessdto] | - |
| 400 | Client Error - Returned if the request body is invalid. | Errorresponsedto | - |
| 401 | Unauthorized - Returned if there is no authorization header, or if the JWT token is expired. | CreateMachineAccountRequestV1401Response | - |
| 403 | Forbidden - Returned if the user you are running as, doesn't have access to this end-point. | Errorresponsedto | - |
| 404 | Not Found - returned if the request URL refers to a resource or object that does not exist | Errorresponsedto | - |
| 429 | Too Many Requests - Returned in response to too many requests in a given period of time - rate limited. The Retry-After header in the response includes how long to wait before trying again. | CreateMachineAccountRequestV1429Response | - |
| 500 | Internal Server Error - Returned if there is an unexpected error. | Errorresponsedto | - |
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
from sailpoint.machine_account_creation_request.api.machine_account_creation_request_api import MachineAccountCreationRequestApi
from sailpoint.machine_account_creation_request.api_client import ApiClient
from sailpoint.machine_account_creation_request.models.machineaccountcreateaccessdto import Machineaccountcreateaccessdto
from sailpoint.configuration import Configuration
configuration = Configuration()
configuration.experimental = True
with ApiClient(configuration) as api_client:
x_sail_point_experimental = 'true' # str | Use this header to enable this experimental API. (default to 'true') # str | Use this header to enable this experimental API. (default to 'true')
offset = 0 # int | Offset Integer specifying the offset of the first result from the beginning of the collection. The standard syntax described in [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters#paginating-results). The offset value is record-based, not page-based, and the index starts at 0. (optional) (default to 0) # int | Offset Integer specifying the offset of the first result from the beginning of the collection. The standard syntax described in [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters#paginating-results). The offset value is record-based, not page-based, and the index starts at 0. (optional) (default to 0)
limit = 250 # int | Limit Integer specifying the maximum number of records to return in a single API call. The standard syntax described in [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters#paginating-results). If it is not specified, a default limit is used. (optional) (default to 250) # int | Limit Integer specifying the maximum number of records to return in a single API call. The standard syntax described in [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters#paginating-results). If it is not specified, a default limit is used. (optional) (default to 250)
try:
# Machine Account Create Access
results = MachineAccountCreationRequestApi(api_client).get_machine_account_create_access_info_v1(x_sail_point_experimental=x_sail_point_experimental)
# Below is a request that includes all optional parameters
# results = MachineAccountCreationRequestApi(api_client).get_machine_account_create_access_info_v1(x_sail_point_experimental, offset, limit)
print("The response of MachineAccountCreationRequestApi->get_machine_account_create_access_info_v1:\n")
for item in results:
print(item.model_dump_json(by_alias=True, indent=4))
except Exception as e:
print("Exception when calling MachineAccountCreationRequestApi->get_machine_account_create_access_info_v1: %s\n" % e)